# ----------------------------------------------------------
# HW 7
# ----------------------------------------------------------
# Please answer these questions after having completed the 
# entire assignment.
# ----------------------------------------------------------
# Name:  
# Hours spent in total:  
# Collaborators (if any):  
# Feedback: What was the hardest part of this assignment?
#   <your answer here>
# Feedback: Any suggestions for improving the assignment?	
#   <your answer here>
# ----------------------------------------------------------

import image

# -------------------------------
# EXAMPLE FUNCTION: RED FILTER
# -------------------------------
# here's an example of a function definition
# the function call appears inside the main()
# function body below
def red_filter(img):
    """
    (Image object) -> Image object
    Returns a copy of img where the blue and green have been filtered out
    and only red remains.
    """
    red_only_img = image.copy_image(img)
    # loop over every (x,y) pair
    for x in range(img.width()):
        for y in range(img.height()):
            # filter out green and blue
            red_only_img.set_green(x, y, 0)
            red_only_img.set_blue(x, y, 0)
    return red_only_img  # return img object

# -------------------------------
# YOUR HOMEWORK
# -------------------------------
# define your functions here
# - each function should be similar to red_filter in that it 
# takes an image object in and returns an image object
# - look at how red_filter is call in the main program below
# - be sure to include docstrings!



# --------------------------------------------------
# WRITE YOUR COLLAGE PROGRAM HERE...  
# ... load some images and demonstrate that your transformations work correctly.
# ...  you should modify the body of main as needed.

def main():
    """
    () -> NoneType
    Main Program that load image(s) from file(s) and makes a collage!
    """

    # REPLACE THE CODE YOU SEE BELOW WITH YOUR COLLAGE PROGRAM!

    # feel free to use a .png image other than crayons!
    original_img = image.load_from_file('crayons.png')
    # here we *call* the red filter, which returns a new image object, 
    # which is assigned to variable boring_collage
    boring_collage = red_filter(original_img)

    # be sure to display your collage at the end
    image.display_images(boring_collage)

main()